On the eBay Motors US marketplace, a combination of vehicle-specific fields and custom Item Specifics is used to provide vehicle details such as Mileage and Exterior Color.

The eBay Motors US marketplace UI supports two listing flows:

  • You can list the standard way by filling in Item Specifics yourself. The API supports this flow.
  • (Not supported in the API) On the eBay Motors US marketplace, you can list by using a VIN to include product details. This is referred to as the "VIN catalog" flow.

    Important! The VIN catalog flow is not supported by the API. However, you are required to pass in the VIN in an AddItem request for modern vehicles.

Details about motorcycles are different from details about Cars & Trucks. For example, a motorcycle would typically have details like "Engine Size (cc)", while a truck would have details like "Cab type". Within the API, these details are called Item Specifics.

All categories support item specifics. To determine which item specifics apply to a vehicle category, call the getItemAspectsForCategory method of the Taxonomy API for the target leaf category. Set the category_id query parameter to the category to be checked, and set the category_tree_id path parameter to the category tree for the target marketplace. Review the returned aspect metadata to determine which item specifics are returned for the category and whether they are required, recommended, or optional. Refer to Item specifics for additional information.